/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.apache.qpid.jms.sasl;

import static org.junit.Assert.assertFalse;
import static org.junit.Assert.assertTrue;

import org.junit.Test;

public class GssapiMechanismTest {

    @Test
    public void testIsApplicableWithoutCredentials() {
        GssapiMechanism mech = new GssapiMechanism();

        assertTrue("Should be applicable without credentials", mech.isApplicable(null, null, null));
    }

    @Test
    public void testIsNotEnabledByDefault() {
        GssapiMechanism mech = new GssapiMechanism();

        assertFalse("Should not be enabled by default", mech.isEnabledByDefault());
    }
}
